> For the complete documentation index, see [llms.txt](https://docs.picklemods.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.picklemods.com/free-resources/pickle-consumables/installation.md).

# Installation

## What do I need?

* ESX (1.1+) / QBCore, or code your own bridge to work with your framework. (the bridge is fully accessible!)
* [Ox Lib 17](https://github.com/overextended/ox_lib/releases/) (Required, Works anywhere).
* A supported inventory (ESX: OX or QS Inventory, QB: Any inventory that uses metadata including QS Inventory.)

## Installation

:warning:Make sure you rename the folder from pickle\_consumables-main to pickle\_consumables prior to installing.:warning:

If you miss this step the script will not function as expected.

Navigate to the "\_INSTALL" folder.

Import the images in the \_INSTALL/images folder to your inventory image folder. (Varies on framework)

Add the items to your SQL if using ESX, or into the shared/items.lua for QB-Core.

{% tabs %}
{% tab title="qb-inventory" %}

```
["cigarette"] = {
    ['name'] =  'cigarette',
    ['label'] =  'Cigarette',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'cigarette.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["cigbox"] = {
    ['name'] =  'cigbox',
    ['label'] =  'Cigarette Box',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'cigbox.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["hamburger"] = {
    ['name'] =  'hamburger',
    ['label'] =  'Hamburger',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'hamburger.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["water"] = {
    ['name'] =  'water',
    ['label'] =  'Water',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'water.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["beer"] = {
    ['name'] =  'beer',
    ['label'] =  'Beer',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'beer.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["soda"] = {
    ['name'] =  'soda',
    ['label'] =  'Soda',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'soda.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["coffee"] = {
    ['name'] =  'coffee',
    ['label'] =  'Coffee',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'coffee.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["egobar"] = {
    ['name'] =  'egobar',
    ['label'] =  'Egobar',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'egobar.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["sandwich"] = {
    ['name'] =  'sandwich',
    ['label'] =  'Sandwich',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'sandwich.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["crisps"] = {
    ['name'] =  'crisps',
    ['label'] =  'Crisps',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'crisps.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["gin_shot"] = {
    ['name'] =  'gin_shot',
    ['label'] =  'Gin Shot',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'gin_shot.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["vodka_shot"] = {
    ['name'] =  'vodka_shot',
    ['label'] =  'Vodka Shot',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'vodka_shot.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["whiskey_bottle"] = {
    ['name'] =  'whiskey_bottle',
    ['label'] =  'Whiskey Bottle',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'whiskey_bottle.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["tequila_bottle"] = {
    ['name'] =  'tequila_bottle',
    ['label'] =  'Tequila Bottle',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'tequila_bottle.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["vodka_bottle"] = {
    ['name'] =  'vodka_bottle',
    ['label'] =  'Vodka Bottle',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'vodka_bottle.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
```

{% endtab %}

{% tab title="ox\_inventory" %}

```
["cigarette"] = {
    label = 'Cigarette',
    weight = 1,
    stack = true,
    description = ""
},
["cigbox"] = {
    label = 'Cigarette Box',
    weight = 1,
    stack = true,
    description = ""
},
["hamburger"] = {
    label = 'Hamburger',
    weight = 1,
    stack = true,
    description = ""
},
["water"] = {
    label = 'Water',
    weight = 1,
    stack = true,
    description = ""
},
["beer"] = {
    label = 'Beer',
    weight = 1,
    stack = true,
    description = ""
},
["soda"] = {
    label = 'Soda',
    weight = 1,
    stack = true,
    description = ""
},
["coffee"] = {
    label = 'Coffee',
    weight = 1,
    stack = true,
    description = ""
},
["egobar"] = {
    label = 'Egobar',
    weight = 1,
    stack = true,
    description = ""
},
["sandwich"] = {
    label = 'Sandwich',
    weight = 1,
    stack = true,
    description = ""
},
["crisps"] = {
    label = 'Crisps',
    weight = 1,
    stack = true,
    description = ""
},
["gin_shot"] = {
    label = 'Gin Shot',
    weight = 1,
    stack = true,
    description = ""
},
["vodka_shot"] = {
    label = 'Vodka Shot',
    weight = 1,
    stack = true,
    description = ""
},
["whiskey_bottle"] = {
    label = 'Whiskey Bottle',
    weight = 1,
    stack = true,
    description = ""
},
["tequila_bottle"] = {
    label = 'Tequila Bottle',
    weight = 1,
    stack = true,
    description = ""
},
["vodka_bottle"] = {
    label = 'Vodka Bottle',
    weight = 1,
    stack = true,
    description = ""
},
```

{% endtab %}

{% tab title="qs-inventory" %}

```
["cigarette"] = {
    ['name'] =  'cigarette',
    ['label'] =  'Cigarette',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'cigarette.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["cigbox"] = {
    ['name'] =  'cigbox',
    ['label'] =  'Cigarette Box',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'cigbox.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["hamburger"] = {
    ['name'] =  'hamburger',
    ['label'] =  'Hamburger',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'hamburger.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["water"] = {
    ['name'] =  'water',
    ['label'] =  'Water',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'water.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["beer"] = {
    ['name'] =  'beer',
    ['label'] =  'Beer',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'beer.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["soda"] = {
    ['name'] =  'soda',
    ['label'] =  'Soda',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'soda.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["coffee"] = {
    ['name'] =  'coffee',
    ['label'] =  'Coffee',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'coffee.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["egobar"] = {
    ['name'] =  'egobar',
    ['label'] =  'Egobar',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'egobar.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["sandwich"] = {
    ['name'] =  'sandwich',
    ['label'] =  'Sandwich',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'sandwich.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["crisps"] = {
    ['name'] =  'crisps',
    ['label'] =  'Crisps',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'crisps.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["gin_shot"] = {
    ['name'] =  'gin_shot',
    ['label'] =  'Gin Shot',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'gin_shot.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["vodka_shot"] = {
    ['name'] =  'vodka_shot',
    ['label'] =  'Vodka Shot',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'vodka_shot.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["whiskey_bottle"] = {
    ['name'] =  'whiskey_bottle',
    ['label'] =  'Whiskey Bottle',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'whiskey_bottle.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["tequila_bottle"] = {
    ['name'] =  'tequila_bottle',
    ['label'] =  'Tequila Bottle',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'tequila_bottle.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
["vodka_bottle"] = {
    ['name'] =  'vodka_bottle',
    ['label'] =  'Vodka Bottle',
    ['weight'] =  1000,
    ['type'] =  'item',
    ['image'] =  'vodka_bottle.png',
    ['unique'] =  false,
    ['useable'] =  true,
    ['shouldClose'] =  true,
    ['combinable'] =  nil,
    ['description'] =  ""
},
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.picklemods.com/free-resources/pickle-consumables/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
